import { Link as i } from "react-router-dom";
import t from "react";
const u = ({ children: e, isExternal: a = !1, to: r, isDisabled: f, ...n }) => {
  if (f)
    return /* @__PURE__ */ t.createElement("div", null, e);
  if (a) {
    const m = r.toString();
    return /* @__PURE__ */ t.createElement("a", { href: m, ...n }, e);
  }
  return /* @__PURE__ */ t.createElement(i, { to: r, ...n }, e);
};
export {
  u as ExtendedLink
};
